| AnyConnect Secure Mobility Client 5.1.16.194

Public Member Functions | Static Public Member Functions | List of all members
PreferenceInfoBase Class Reference

## Public Member Functions
PreferenceScope | getPreferencesType () const
void | setPreferencesType (const PreferenceScope scope)
unsigned int | countPreferences () const
const PreferenceVector & | getListPreferences () const
PreferenceVector | getAllPreferences () const
void | getAllPreferencesSorted (OUT PrefWithDepthList &outSortedPrefs) const
bool | getPreference (const PreferenceId preferenceId, OUT Preference *&rpPreference) const
bool | addPreference (Preference *pPreference)
bool | addNewPreference (const tstring &name, const tstring &value, ApiStringMap &attributes, const tstring &parent=EmptyString)
bool | movePreference (Preference *pPreference, unsigned int &position)
bool | removeAndDeletePreference (const PreferenceId &preferenceId, bool bDontRemoveFromParent=false)
void | removeAllPreferences ()
void | setPreferenceHeading (const tstring &preferenceHeading)
const tstring | getPreferenceHeading () const
PreferenceInfoBase & | operator= (const PreferenceInfoBase &existingPrefInfo)
| PreferenceInfoBase (const PreferenceInfoBase &existingPrefInfo)
tstring | getString ()

## Static Public Member Functions
static PreferenceInfo * | createDefaultPreferenceInfo ()